google play store says my device is not compatible

This forum contains topics that were moved from Get Satisfaction
Terry Gilliver
Posts: 0
Joined: Fri Apr 18, 2014 8:45 pm

google play store says my device is not compatible

Post by Terry Gilliver »

how does android min sdk and target sdk affect the app? I want it to be available to as many versions as possible.

Serhii Kulibaba
Posts: 149
Joined: Tue Aug 27, 2013 1:47 pm

google play store says my device is not compatible

Post by Serhii Kulibaba »

Hello Terry,

Please look at this table with a list of sdk versions and Android versions: https://developer.android.com/guide/t...

Terry Gilliver
Posts: 0
Joined: Fri Apr 18, 2014 8:45 pm

google play store says my device is not compatible

Post by Terry Gilliver »

So setting the lowest value in min sdk version and the highest value in the target sdk will give me the broadest coverage yes?

Serhii Kulibaba
Posts: 149
Joined: Tue Aug 27, 2013 1:47 pm

google play store says my device is not compatible

Post by Serhii Kulibaba »

No, only the newest version of min sdk guarantees you the biggest amount of supported devices. Also, you can select the lowest version of target sdk.

Note: Appery.io supports Android 4.1 – 6.x.
Your app will most likely work on lower Android version but there is no official support from Appery.io

Terry Gilliver
Posts: 0
Joined: Fri Apr 18, 2014 8:45 pm

google play store says my device is not compatible

Post by Terry Gilliver »

Ok, Unsure what you are saying.

Do you mean I enter the highest version number in the min sdk and the lowest version number in the target sdk?

By the way, the drop down list only goes as far as 5.1 not 6.x

Also Do these setting affect how google play store decides which of your devices are compatible?

Serhii Kulibaba
Posts: 149
Joined: Tue Aug 27, 2013 1:47 pm

google play store says my device is not compatible

Post by Serhii Kulibaba »

You have to set min version in both options to make you application available for the biggest amount of devices

Jeffry Reed
Posts: 0
Joined: Sun Aug 14, 2016 3:59 pm

google play store says my device is not compatible

Post by Jeffry Reed »

Hello,

I have search and read the discussions regarding Min. SDK version and Target SDK version and I have not understood any explanation clear.

At the moment the options are Android 4.1.x through Android 7.0.

Can someone clearly explain what the results of setting the min and target SDK.

thank you

Galyna Abramovych
Site Admin
Posts: 69
Joined: Tue Mar 22, 2016 6:03 pm

google play store says my device is not compatible

Post by Galyna Abramovych »

Hello Jeffry,

Have you had a look at these posts?
They seem to be quite clear in explaining the difference.

https://www.quora.com/What-is-the-dif...
https://stackoverflow.com/questions/4...
http://www.dummies.com/web-design-dev...

I do hope it will shed light on the issue.

Jeffry Reed
Posts: 0
Joined: Sun Aug 14, 2016 3:59 pm

google play store says my device is not compatible

Post by Jeffry Reed »

Hello Galyna,

Ah, yes, that is more clear, thank you.

Pdrew2
Posts: 1
Joined: Sun Aug 23, 2020 8:43 am

Re: google play store says my device is not compatible

Post by Pdrew2 »

Terry Gilliver wrote: Tue Jun 06, 2017 10:46 am

how does android min sdk and target sdk affect the app? I want it to be available to as many versions as possible.

Sorry for the posting here in too old thread but I think I can get help from this thread because I am also having the same issue with google play store and I am not able to fix it, So if you are able to fix it then please share details and configurations.

Thank in advanced.

Post Reply